=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2012  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

VERSION := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p" | sed "s/-[^-]*$$//" )
MAEMO := $(shell if pkg-config maemo-version 1>/dev/null 2>&1 || test -f "/etc/maemo_version" || osso-product-info -q OSSO_PRODUCT_INFO_RELEASE_NAME 2>/dev/null | grep -q -i maemo; then echo YES; fi)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INCLUDE_PATH="/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/"

override_dh_install:
	dh_install
	convert stargus.png -resize 32x32 debian/stargus/usr/share/pixmaps/stargus.xpm

override_dh_shlibdeps:
	dh_shlibdeps
	echo "stratagus:Depends=stratagus (>= $(VERSION))" >> debian/stargus.substvars

ifdef MAEMO

override_dh_fixperms:
	mkdir -p debian/stargus/usr/share/applications/hildon
	mkdir -p debian/stargus/opt/stratagus/bin
	mkdir -p debian/stargus/opt/stratagus/share/doc
	mkdir -p debian/stargus/opt/man/man6
	mv debian/stargus/usr/share/applications/stargus.desktop debian/stargus/usr/share/applications/hildon/stargus.desktop
	mv debian/stargus/usr/bin/* debian/stargus/opt/stratagus/bin/
	mv debian/stargus/usr/games/* debian/stargus/opt/stratagus/bin/
	mv debian/stargus/usr/share/doc/stargus debian/stargus/opt/stratagus/share/doc/
	mv debian/stargus/usr/share/games/stratagus/stargus debian/stargus/opt/stratagus/share/
	mv debian/stargus/usr/share/man/man6/* debian/stargus/opt/man/man6/
	ln -s /opt/stratagus/bin/starextract debian/stargus/usr/bin/starextract
	ln -s /opt/stratagus/bin/stargus debian/stargus/usr/games/stargus
	ln -s /opt/stratagus/bin/starool debian/stargus/usr/bin/startool
	ln -s /opt/stratagus/bin/scmconvert debian/stargus/usr/bin/scmconvert
	ln -s /opt/stratagus/share/stargus debian/stargus/usr/share/games/stratagus/stargus
	ln -s /opt/stratagus/share/doc/stargus debian/stargus/usr/share/doc/stargus
	ln -s /opt/man/man6/stargus.6.gz debian/stargus/usr/share/man/man6/stargus.6.gz
	ln -s /opt/man/man6/startool.6.gz debian/stargus/usr/share/man/man6/starool.6.gz
	ln -s /opt/man/man6/scmconvert.6.gz debian/stargus/usr/share/man/man6/scmconvert.6.gz
	echo "X-Osso-Type=application/x-executable" >> debian/stargus/usr/share/applications/hildon/stargus.desktop
	sed "s/Exec=.*/Exec=\/opt\/stratagus\/bin\/stargus/" -i debian/stargus/usr/share/applications/hildon/stargus.desktop
	sed "s/Name=.*/Name=Stargus/" -i debian/stargus/usr/share/applications/hildon/stargus.desktop
	dh_fixperms

override_dh_gencontrol:
	dh_gencontrol
	cp debian/stargus/DEBIAN/control debian/stargus/DEBIAN/control.orig
	sed -n -e "1,/^Depends:.*$$/p" -i debian/stargus/DEBIAN/control
	echo "Bugtracker: https://bugs.launchpad.net/stargus" >> debian/stargus/DEBIAN/control
	echo "Maemo-Display-Name: Stargus - Starcraft" >> debian/stargus/DEBIAN/control
	echo "Maemo-Icon-26:" >> debian/stargus/DEBIAN/control
	for line in $(shell convert stargus.png -resize 48x48 png:- | uuencode -m - | tail -n +2 | head -n -1); do \
		echo " $$line" >> debian/stargus/DEBIAN/control; \
	done
	sed "/^# Source debconf library$$/d;/^. \/usr\/share\/debconf\/confmodule$$/d" -i debian/stargus/DEBIAN/postinst
	bash -c 'sed -n -e "1,/^extract() {$$/p;/^}$$/,\$$p;/extract()/a\\`echo -e "\n\t"`cd /opt/stratagus/share/stargus\\`echo -e "\n\t"`run-standalone.sh /opt/stratagus/bin/starextract\\`echo -e "\n\t"`return $$\?" -i debian/stargus/DEBIAN/postinst'
	sed -n -e "/^Depends:.*$$/,\$$p" debian/stargus/DEBIAN/control.orig | tail -n +2 >> debian/stargus/DEBIAN/control
	sed "s/Section: .*/Section: user\/games/" -i debian/stargus/DEBIAN/control
	rm -f debian/stargus/DEBIAN/config debian/stargus/DEBIAN/templates debian/stargus/DEBIAN/control.orig

override_dh_installdebconf:

endif
