## stargus 2.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 project(stargus)
 cmake_minimum_required(VERSION 2.6)
-set(STARGUS_VERSION 2.2.6)
+set(STARGUS_VERSION 2.2.7)
 
 # Stargus sources
 
@@ -56,7 +56,7 @@
 )
 
 set(stargus_SRCS
-	stargus.c
+	stargus.cpp
 )
 
 if(WIN32)
@@ -186,9 +186,9 @@
 target_link_libraries(startool ${startool_LIBS})
 
 if(WIN32 AND MINGW AND ENABLE_STATIC)
-	set_target_properties(scmconvert PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
-	set_target_properties(stargus PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
-	set_target_properties(startool PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
+	set_target_properties(scmconvert PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
+	set_target_properties(stargus PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
+	set_target_properties(startool PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
 endif()
 
 ########### next target ###############
