=== debian/changelog ===
stargus (2.2.7-1maemo1~fremantle) fremantle; urgency=low

  * Fixed bug #950442 - Fix script when map is loaded
  * Fixed bug #931215 - Do not extract file which missing on french CD

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 21 Aug 2012 16:33:12 +0200

stargus (2.2.6-1) unstable; urgency=low

  * Fixed bug #768325 - NSIS: run startool with correct datadir path
  * Fixed bug #909435 - Rewritten build system to CMake
  * Fixed bug #910269 - Fixed compilation on OpenBSD 5.0
  * Fixed bug #914555 - Fixed MPQ code
  * Rewritten code for supporting 64bit architectures too
  * Use Huffmann decoding from StormLib library
  * Rewritten debian files to debhelper 7

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 25 Feb 2012 13:35:25 +0100
